OaIdl.BINDPTR (JNA API)

com.sun.jna.platform.win32

## Class OaIdl.BINDPTR

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.Union
    - - com.sun.jna.platform.win32.OaIdl.BINDPTR

- Direct Known Subclasses:
    OaIdl.BINDPTR.ByReference
  Enclosing interface:
    OaIdl

      public static class OaIdl.BINDPTR
      extends Union

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OaIdl.BINDPTR.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OaIdl.FUNCDESC` | `lpfuncdesc`
    `TypeComp` | `lptcomp`
    `OaIdl.VARDESC` | `lpvardesc`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BINDPTR()`
    `BINDPTR(OaIdl.FUNCDESC lpfuncdesc)`
    `BINDPTR(OaIdl.VARDESC lpvardesc)`
    `BINDPTR(TypeComp lptcomp)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Union

      `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### lpfuncdesc

          public OaIdl.FUNCDESC lpfuncdesc

    - #### lpvardesc

          public OaIdl.VARDESC lpvardesc

    - #### lptcomp

          public TypeComp lptcomp

  - ### Constructor Detail

    - #### BINDPTR

          public BINDPTR()

    - #### BINDPTR

          public BINDPTR(OaIdl.VARDESC lpvardesc)

    - #### BINDPTR

          public BINDPTR(TypeComp lptcomp)

    - #### BINDPTR

          public BINDPTR(OaIdl.FUNCDESC lpfuncdesc)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.